View Issue Details

IDProjectCategoryView StatusLast Update
0006353JEDI VCL00 JVCL Componentspublic2019-08-06 09:14
ReporterHSergAssigned Toobones 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.47 
Target VersionFixed in VersionDaily / GIT 
Summary0006353: Incomplete TJvWallpaperStyle (for Windows 7 and later)
DescriptionJvComputerInfoEx.pas
=== cut ===
...
TJvWallpaperStyle = (wsCenter, wsUnused, wsStretch);
...
Result := TJvWallpaperStyle(StrToInt(RegReadStringDef(HKCU, HKCU_CONTROL_PANEL_DESKTOP, 'WallpaperStyle', '0')));
...
RegWriteString(HKCU, HKCU_CONTROL_PANEL_DESKTOP, 'WallpaperStyle', IntToStr(Ord(Value)));
...
=== cut ===

http://msdn.microsoft.com/en-us/library/bb773190%28VS.85%29.aspx#desktop
=== cut ===
[Control Panel\Desktop]
Wallpaper=%WinDir%\web\wallpaper\Windows\img0.jpg
; The path to the wallpaper picture can point to a
; .bmp, .gif, .jpg, .png, or .tif file.

TileWallpaper=0
; 0: The wallpaper picture should not be tiled
; 1: The wallpaper picture should be tiled

WallpaperStyle=2
; 0: The image is centered if TileWallpaper=0 or tiled if TileWallpaper=1
; 2: The image is stretched to fill the screen
; 6: The image is resized to fit the screen while maintaining the aspect
      ratio. (Windows 7 and later)
; 10: The image is resized and cropped to fill the screen while maintaining
      the aspect ratio. (Windows 7 and later)
=== cut ===

As a result:
=== cut ===
GetEnumProp(JvMiscInfo, 'WallpaperStyle') >> ??? VDRegion @ XX? ?]? ??? NetBIOS @\>> 8`? ? ?
=== cut ===
TagsNo tags attached.

Activities

obones

2014-12-04 15:03

administrator   ~0021083

Please provide the zipped sources of a sample application showing this.

2015-11-24 21:58

 

example.zip (396 bytes)

HSerg

2015-11-24 22:02

reporter   ~0021244

:: desktop wallpaper - stretch
> example.exe
wsStretch

:: desktop wallpaper - fill the screen
> example.exe
S] ?TJvMiscInfo?R] DN] ? ?JvComputerInfoEx? ΒΆ?@ ?b]

mh

2019-05-04 16:35

reporter   ~0021803

I tried to compile the attached demo program, but at least in Rio this fails as the unit Graphics, which is used by JvComputerInfoEx.pas is not found on my system.

mh

2019-05-04 16:46

reporter   ~0021804

Ok, I can compile it now in Rio: one needs to add VCL and VCL.Imaging as unit scope names to the project settings of the demo attached to this issue in order to be able to compile it.

mh

2019-05-04 18:15

reporter   ~0021805

Ok, running the provided example in 10.3 Rio update 1 on a Windows 10 VM gives a wsFill result for me.

Current definition of TJvWallpaperStyle is:
TJvWallpaperStyle = (wsCenter, wsStretch, wsFit, wsFill, wsUnknown);

So I don't see what's wrong with it. I guess it has been fixed in the meantime and thus the issue can be closed.

HSerg

2019-05-04 21:03

reporter   ~0021808

Agree. Fixed via https://github.com/project-jedi/jvcl/commit/5bbed962300ea0a8ddefd7dc0f4b8a57a3f069ce

Issue History

Date Modified Username Field Change
2014-11-09 18:33 HSerg New Issue
2014-12-04 15:03 obones Note Added: 0021083
2014-12-04 15:03 obones Status new => feedback
2015-11-24 21:58 HSerg File Added: example.zip
2015-11-24 22:02 HSerg Note Added: 0021244
2019-05-04 16:35 mh Note Added: 0021803
2019-05-04 16:46 mh Note Added: 0021804
2019-05-04 18:15 mh Note Added: 0021805
2019-05-04 21:03 HSerg Note Added: 0021808
2019-08-06 09:14 obones Assigned To => obones
2019-08-06 09:14 obones Status feedback => resolved
2019-08-06 09:14 obones Resolution open => fixed
2019-08-06 09:14 obones Fixed in Version => Daily / GIT